KD Chart 2: KDChart::ThreeDPieAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::ThreeDPieAttributes Class Reference

`#include <KDChartThreeDPieAttributes.h>`

Inheritance diagram for KDChart::ThreeDPieAttributes:

[legend]
Collaboration diagram for KDChart::ThreeDPieAttributes:
[legend]
List of all members.

## Public Member Functions
double | depth () const
bool | isEnabled () const
bool | operator!= (const AbstractThreeDAttributes &other) const
bool | operator!= (const ThreeDPieAttributes &other) const
ThreeDPieAttributes & | operator= (const ThreeDPieAttributes &)
bool | operator== (const AbstractThreeDAttributes &) const
bool | operator== (const ThreeDPieAttributes &) const
void | setDepth (double depth)
void | setEnabled (bool enabled)
void | setUseShadowColors (bool useShadowColors)
| ThreeDPieAttributes (const ThreeDPieAttributes &)
| ThreeDPieAttributes ()
bool | useShadowColors () const
double | validDepth () const
| ~ThreeDPieAttributes ()

## Constructor & Destructor Documentation

ThreeDPieAttributes::ThreeDPieAttributes | ( |  | ) |

| Definition at line 43 of file KDChartThreeDPieAttributes.cpp.
    00044     : AbstractThreeDAttributes( new Private() )
    00045 {
    00046
    00047 }

ThreeDPieAttributes::ThreeDPieAttributes | ( | const ThreeDPieAttributes & |  | ) |

| Definition at line 49 of file KDChartThreeDPieAttributes.cpp. References d.
    00050     : AbstractThreeDAttributes( new Private( *r.d) )
    00051 {
    00052 }

ThreeDPieAttributes::~ThreeDPieAttributes | ( |  | ) |

| Definition at line 64 of file KDChartThreeDPieAttributes.cpp.
    00065 {
    00066 }

## Member Function Documentation

double AbstractThreeDAttributes::depth | ( |  | ) | const`[inherited]`

| Definition at line 103 of file KDChartAbstractThreeDAttributes.cpp. References d. Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), KDChart::PieDiagram::paint(), KDChart::LineDiagram::paint(), and KDChart::BarDiagram::paint().
    00104 {
    00105     return d->depth;
    00106 }

bool AbstractThreeDAttributes::isEnabled | ( |  | ) | const`[inherited]`

| Definition at line 92 of file KDChartAbstractThreeDAttributes.cpp. References d. Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), KDChart::PieDiagram::paint(), KDChart::LineDiagram::paint(), KDChart::BarDiagram::paint(), and KDChart::AbstractThreeDAttributes::validDepth().
    00093 {
    00094     return d->enabled;
    00095 }

bool KDChart::AbstractThreeDAttributes::operator!= | ( | const AbstractThreeDAttributes & | other | ) | const`[inherited]`

| Definition at line 57 of file KDChartAbstractThreeDAttributes.h.
    00057 { return !operator==(other); }

bool KDChart::ThreeDPieAttributes::operator!= | ( | const ThreeDPieAttributes & | other | ) | const

| Definition at line 49 of file KDChartThreeDPieAttributes.h.
    00049 { return !operator==(other); }

ThreeDPieAttributes & ThreeDPieAttributes::operator= | ( | const ThreeDPieAttributes & |  | ) |

| Definition at line 54 of file KDChartThreeDPieAttributes.cpp. References d.
    00055 {
    00056     if( this == &r )
    00057         return *this;
    00058
    00059     *d = *r.d;
    00060
    00061     return *this;
    00062 }

bool AbstractThreeDAttributes::operator== | ( | const AbstractThreeDAttributes & |  | ) | const`[inherited]`

| Definition at line 72 of file KDChartAbstractThreeDAttributes.cpp. References KDChart::AbstractThreeDAttributes::depth(), and KDChart::AbstractThreeDAttributes::isEnabled(). Referenced by operator==(), KDChart::ThreeDLineAttributes::operator==(), and KDChart::ThreeDBarAttributes::operator==().
    00073 {
    00074     if( isEnabled() == r.isEnabled() &&
    00075         depth() == r.depth() )
    00076         return true;
    00077     else
    00078         return false;
    00079 }

bool ThreeDPieAttributes::operator== | ( | const ThreeDPieAttributes & |  | ) | const

| Definition at line 73 of file KDChartThreeDPieAttributes.cpp. References KDChart::AbstractThreeDAttributes::operator==(), and useShadowColors().
    00074 {
    00075     return ( useShadowColors() == r.useShadowColors() &&
    00076              AbstractThreeDAttributes::operator==(r));
    00077 }

void AbstractThreeDAttributes::setDepth | ( | double | depth | ) | `[inherited]`

| Definition at line 97 of file KDChartAbstractThreeDAttributes.cpp. References d.
    00098 {
    00099     d->depth = depth;
    00100 }

void AbstractThreeDAttributes::setEnabled | ( | bool | enabled | ) | `[inherited]`

| Definition at line 87 of file KDChartAbstractThreeDAttributes.cpp. References d.
    00088 {
    00089     d->enabled = enabled;
    00090 }

void ThreeDPieAttributes::setUseShadowColors | ( | bool | useShadowColors | ) |

| Definition at line 81 of file KDChartThreeDPieAttributes.cpp. References d.
    00082 {
    00083     d->useShadowColors = shadowColors;
    00084 }

bool ThreeDPieAttributes::useShadowColors | ( |  | ) | const

| Definition at line 86 of file KDChartThreeDPieAttributes.cpp. References d. Referenced by operator<<(), and operator==().
    00087 {
    00088     return d->useShadowColors;
    00089 }

double AbstractThreeDAttributes::validDepth | ( |  | ) | const`[inherited]`

| Definition at line 109 of file KDChartAbstractThreeDAttributes.cpp. References d, and KDChart::AbstractThreeDAttributes::isEnabled(). Referenced by KDChart::LineDiagram::threeDItemDepth(), and KDChart::BarDiagram::threeDItemDepth().
    00110 {
    00111     return isEnabled() ? d->depth : 0.0;
    00112 }

The documentation for this class was generated from the following files:

- KDChartThreeDPieAttributes.h
- KDChartThreeDPieAttributes.cpp